Package org.apache.solr.common.params

# Interface CollectionAdminParams

public interface CollectionAdminParams

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ALIAS`
When creating a collection create also a specified alias.
`static final String`
`CLUSTER`
Cluster wide defaults can be nested under this key e.g.
`static final String`
`COLL_CONF`
The name of the config set to be used for a collection
`static final String`
`COLLECTION`
`static final String`
`COPY_FILES_STRATEGY`
This constant defines the index backup strategy based on copying index files to desired location.
`static final String`
`COUNT_PROP`
`static final String`
`CREATE_NODE_SET_PARAM`
A parameter to specify list of Solr nodes to be used (e.g.
`static final String`
`CREATE_NODE_SET_SHUFFLE_PARAM`
A parameter which specifies if the provided list of Solr nodes (via CREATE_NODE_SET_PARAM) should be shuffled before being used.
`static final String`
`DEFAULTS`
Used by cluster properties API as a wrapper key to provide defaults for collection, cluster etc.
`static final String`
`FLUSH`
`static final String`
`FOLLOW_ALIASES`
Option to follow aliases when deciding the target of a collection admin command.
`static final Collection<String>`
`INDEX_BACKUP_STRATEGIES`
This constant defines a list of valid index backup strategies.
`static final String`
`INDEX_BACKUP_STRATEGY`
A parameter to specify the name of the index backup strategy to be used.
`static final String`
`NO_INDEX_BACKUP_STRATEGY`
This constant defines the strategy to not copy index files (useful for meta-data only backup).
`static final String`
`NRT_REPLICAS`
`static final String`
`NUM_SHARDS`
The number of shards to create a particular collection with.
`static final String`
`PER_REPLICA_STATE`
`static final String`
`PROPERTY_NAME`
Name of collection property to set
`static final String`
`PROPERTY_PREFIX`
Prefix for arbitrary collection or replica properties.
`static final String`
`PROPERTY_VALUE`
Value of collection property to set
`static final String`
`PULL_REPLICAS`
`static final String`
`READ_ONLY`
`static final String`
`REPLICA`
`static final String`
`REPLICA_TYPE`
`static final String`
`REPLICATION_FACTOR`
`static final String`
`ROLE`
`static final String`
`ROUTER_PREFIX`
Prefix for `DocRouter` properties
`static final String`
`SHARD`
To identify a specific shard.
`static final String`
`SKIP_NODE_ASSIGNMENT`
When AddReplica is called with this set to true, then we do not try to find node assignments for the add replica API.
`static final String`
`TARGET`
Specifies the target of RENAME operation.
`static final String`
`TLOG_REPLICAS`

## Field Details

### FLUSH

static final String FLUSH

See Also:
  - Constant Field Values

### COLLECTION

static final String COLLECTION

See Also:
  - Constant Field Values

### COUNT_PROP

static final String COUNT_PROP

See Also:
  - Constant Field Values

### ROLE

static final String ROLE

See Also:
  - Constant Field Values

### CREATE_NODE_SET_PARAM

static final String CREATE_NODE_SET_PARAM
A parameter to specify list of Solr nodes to be used (e.g. for collection creation or restore operation).

See Also:
  - Constant Field Values

### NUM_SHARDS

static final String NUM_SHARDS
The number of shards to create a particular collection with.

See Also:
  - Constant Field Values

### NRT_REPLICAS

static final String NRT_REPLICAS

See Also:
  - Constant Field Values

### PULL_REPLICAS

static final String PULL_REPLICAS

See Also:
  - Constant Field Values

### TLOG_REPLICAS

static final String TLOG_REPLICAS

See Also:
  - Constant Field Values

### REPLICATION_FACTOR

static final String REPLICATION_FACTOR

See Also:
  - Constant Field Values

### REPLICA_TYPE

static final String REPLICA_TYPE

See Also:
  - Constant Field Values

### CREATE_NODE_SET_SHUFFLE_PARAM

static final String CREATE_NODE_SET_SHUFFLE_PARAM
A parameter which specifies if the provided list of Solr nodes (via CREATE_NODE_SET_PARAM) should be shuffled before being used.

See Also:
  - Constant Field Values

### INDEX_BACKUP_STRATEGY

static final String INDEX_BACKUP_STRATEGY
A parameter to specify the name of the index backup strategy to be used.

See Also:
  - Constant Field Values

### COPY_FILES_STRATEGY

static final String COPY_FILES_STRATEGY
This constant defines the index backup strategy based on copying index files to desired location.

See Also:
  - Constant Field Values

### NO_INDEX_BACKUP_STRATEGY

static final String NO_INDEX_BACKUP_STRATEGY
This constant defines the strategy to not copy index files (useful for meta-data only backup).

See Also:
  - Constant Field Values

### INDEX_BACKUP_STRATEGIES

static final Collection<String> INDEX_BACKUP_STRATEGIES
This constant defines a list of valid index backup strategies.

### PROPERTY_NAME

static final String PROPERTY_NAME
Name of collection property to set

See Also:
  - Constant Field Values

### PROPERTY_VALUE

static final String PROPERTY_VALUE
Value of collection property to set

See Also:
  - Constant Field Values

### COLL_CONF

static final String COLL_CONF
The name of the config set to be used for a collection

See Also:
  - Constant Field Values

### DEFAULTS

static final String DEFAULTS
Used by cluster properties API as a wrapper key to provide defaults for collection, cluster etc.

e.g. {defaults:{collection:{replicationFactor:2}}}

See Also:
  - Constant Field Values

### CLUSTER

static final String CLUSTER
Cluster wide defaults can be nested under this key e.g. {defaults: {cluster:{useLegacyReplicaAssignment:false}}}

See Also:
  - Constant Field Values

### ALIAS

static final String ALIAS
When creating a collection create also a specified alias.

See Also:
  - Constant Field Values

### TARGET

static final String TARGET
Specifies the target of RENAME operation.

See Also:
  - Constant Field Values

### ROUTER_PREFIX

static final String ROUTER_PREFIX
Prefix for `DocRouter` properties

See Also:
  - Constant Field Values

### FOLLOW_ALIASES

static final String FOLLOW_ALIASES
Option to follow aliases when deciding the target of a collection admin command.

See Also:
  - Constant Field Values

### SKIP_NODE_ASSIGNMENT

static final String SKIP_NODE_ASSIGNMENT
When AddReplica is called with this set to true, then we do not try to find node assignments for the add replica API. If set to true, a valid "node" should be specified.

See Also:
  - Constant Field Values

### REPLICA

static final String REPLICA

See Also:
  - Constant Field Values

### SHARD

static final String SHARD
To identify a specific shard.

See Also:
  - Constant Field Values

### READ_ONLY

static final String READ_ONLY

See Also:
  - Constant Field Values

### PROPERTY_PREFIX

static final String PROPERTY_PREFIX
Prefix for arbitrary collection or replica properties.

See Also:
  - Constant Field Values

### PER_REPLICA_STATE

static final String PER_REPLICA_STATE

See Also:
  - Constant Field Values